# eric4.DebugClients.Python.DebugClient

Module implementing a Qt free version of the debug client.

### Global Attributes

None

### Classes

DebugClient | Class implementing the client side of the debugger.

### Functions

None

## DebugClient

Class implementing the client side of the debugger.

This variant of the debugger implements the standard debugger client by subclassing all relevant base classes.

### Derived from

DebugClientBase.DebugClientBase, AsyncIO, DebugBase

### Class Attributes

debugClient

### Class Methods

None

### Methods

DebugClient | Constructor

### Static Methods

None

#### DebugClient (Constructor)

DebugClient()

Constructor

Up